<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>9 Green tea landing page</title>
    <link rel="stylesheet" href="style.css" />

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=DM+Serif+Display&family=Jost&family=Open+Sans:wght@300&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=DM+Serif+Display&family=Inter&family=Jost&family=Open+Sans:wght@300&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=DM+Serif+Display&family=Inter&family=Jost&family=Kaisei+Decol&family=Open+Sans:wght@300&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=DM+Serif+Display&family=Italiana&family=Jost&family=Kaisei+Decol&family=Montserrat&family=Open+Sans&family=Slabo+13px&display=swap"
      rel="stylesheet"
    />
  </head>
  <body>
    <div class="backgound">
      <div class="content">
        <div class="image"></div>
        <div class="tittle">Teanologi</div>
        <div class="menu">
          <div class="home">Home</div>
          <div class="about">About Us</div>
          <div class="product">Product</div>
          <div class="contact">Contact</div>
        </div>
      </div>
    </div>

    <div class="part2">
      <div class="rec4-image"></div>
      <div class="rec5-homepara">
        <div class="rec5-homepara-tittle">Home Made</div>
        <div class="rec5-homepara-content">
          Kamus Bahasa Inggris Indonesia ini merupakan Kamus Online yang dibuat
          untuk memudahkan pencarian, penggunaan dan pembacaan arti kata.
        </div>
      </div>
    </div>

    <div class="part3">
      <div class="part3-tittle">Pilihan dari yang Terbaik</div>
      <div class="part3-main-content">
        <div class="part3-card" id="part3-card1">
          <div class="part3-image" id="part3-image1"></div>
          <div class="part3-name">Stevia</div>
          <div class="part3-des">
            Stevia adalah sebuah genus dari sekitar 240 spesies dari ramuan dan
            semak dalam keluarga bunga matahari, asli subtropis dan daerah
            tropis dari barat Amerika Utara ke Amerika Selatan.
          </div>
        </div>

        <div class="part3-card" id="part3-card2">
          <div class="part3-image" id="part3-image2"></div>
          <div class="part3-name">Chamomile</div>
          <div class="part3-des">
            Chamomile adalah tumbuhan semusim dari keluarga bunga Matahari
            Asteraceae. Tanaman ini tumbuh di seluruh wilayah Eropa, wilayah
            Asia yang memiliki 4 musim. Kamomil juga telah tersebar luas di
            Amerika Utara dan Australia oleh manusia.
          </div>
        </div>

        <div class="part3-card" id="part3-card3">
          <div class="part3-image" id="part3-image3"></div>
          <div class="part3-name">Teh Hijau</div>
          <div class="part3-des">
            Teh hijau adalah nama teh yang dibuat dari daun tanaman teh yang
            dipetik dan mengalami proses pemanasan untuk mencegah oksidasi, atau
            bisa juga berarti minuman yang dihasilkan dari menyeduh daun teh
            tersebut.
          </div>
        </div>

        <div class="part3-card" id="part3-card4">
          <div class="part3-image" id="part3-image4"></div>
          <div class="part3-name">Hibiscus</div>
          <div class="part3-des">
            Teh kembang sepatu adalah teh herbal yang dibuat sebagai infus dari
            kelopak bunga rosella berwarna merah tua atau magenta. Itu
            dikonsumsi baik panas maupun dingin.
          </div>
        </div>
      </div>
    </div>

    <div class="part4">
      <div class="part4-content">
        <div class="part4-container">
          <div class="part4-tittle">45 % OFF In Appril 2022</div>
          <div class="part4-des">
            Get your coupon and enjoy the discount. terms and Conditions applyu
          </div>
          <button class="part4-button">Contact now</button>
        </div>
      </div>
      <div class="part4-image"></div>
    </div>

    <div class="part5">
      <div class="part5-content">
        <div class="part5-container">
          <div class="part5-tittle">CONTACT</div>
          <form action="" id="contact-form">
            <div class="part5-input1-2-3">
              <div class="part5-input1-2">
                <input
                  id="input-name"
                  type="text"
                  class="part5-input"
                  placeholder="Name"
                />
                <input
                  type="text"
                  class="part5-input"
                  id="part5-input2"
                  placeholder="Email"
                />
              </div>
              <input
                type="text"
                class="part5-input"
                id="part5-input3"
                placeholder="Message"
              />
              <button type="submit" class="part5-button">SEND</button>
            </div>
          </form>
        </div>
      </div>
    </div>

    <div class="part6">
      <div class="part6-1"></div>
      <div class="part6-2">
        <img src="images/facebook.png" class="part6-2-img" />
        <img src="images/instagram.png" class="part6-2-img" />
        <img src="images/twitter.png" class="part6-2-img" />
      </div>
      <div class="part6-3">
        <div class="part6-3-text">Home</div>
        <div class="part6-3-text">About Us</div>
        <div class="part6-3-text">Product</div>
        <div class="part6-3-text">Contact</div>
      </div>
    </div>
  </body>

  <script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gBASE_URL = "https://62442d9d3da3ac772b0c50eb.mockapi.io/api/v1/";
    const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    var vContactForm = document.getElementById("contact-form");
    vContactForm.addEventListener("submit", (e) => {
      // Sử dụng preventDefault để loại bỏ hành động submit mặc định của form
      e.preventDefault();
      // Bước 0: Khởi tạo đối tượng thu thập
      var vDataObj = {
        name: "",
        email: "",
        mesage: "",
        createDate: "",
      };
      // Bước 1: thu thập dữ liệu
      getDataFromInput(vDataObj);
      // Bước 2: Kiểm tra dữ liệu thu thập
      var vCheck = validateData(vDataObj);
      if (vCheck) {
        //Bước 3: gọi api để thêm mới thông tin liên hệ
        var vXmlHttp = new XMLHttpRequest();
        goiApiCreateContact(vXmlHttp, vDataObj);

        vXmlHttp.onreadystatechange = function () {
          if (
            this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            this.status == gREQUEST_CREATE_OK
          ) {
            console.log(vXmlHttp.responseText);
            alert("Gửi contact thành công!");
          }
        };
      }
    });
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm thu thập dữ liệu
    function getDataFromInput(paramDataObj) {
      "use strict";
      var vNameInput = document.getElementById("input-name");
      var vEmailInput = document.getElementById("part5-input2");
      var vMessageInput = document.getElementById("part5-input3");

      paramDataObj.name = vNameInput.value.trim();
      paramDataObj.email = vEmailInput.value.trim();
      paramDataObj.mesage = vMessageInput.value.trim();

      const date = new Date();
      const result1 = new Date().toLocaleDateString("en-GB");
      paramDataObj.createDate = result1;
    }

    //hàm kiểm tra dữ liệu
    function validateData(paramDataObj) {
      if (paramDataObj.name == "") {
        alert("Name is empty!");
        return false;
      }

      if (paramDataObj.email == "") {
        alert("Email is empty!");
        return false;
      }
      if (validateEmail(paramDataObj.email) == false) {
        alert("Email is invalid!");
        return false;
      }

      if (paramDataObj.mesage == "") {
        alert("Mesage is empty!");
        return false;
      }
      if (paramDataObj.mesage.length <= 20) {
        alert("Message phải có độ dài trên 20 ký tự");
        return false;
      }

      return true;
    }

    // Hàm kiểm tra email
    // Input là email cần kiểm tra
    // Output là true / false
    function validateEmail(mail) {
      if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(mail)) {
        return true;
      }
      return false;
    }

    //hàm gọi API tạo (Create) một Contact mới
    function goiApiCreateContact(paramXmlHttp, paramDataObj) {
      const vAPI_URL = gBASE_URL + "contacts";

      paramXmlHttp.open("POST", vAPI_URL, true);
      paramXmlHttp.setRequestHeader("Content-Type", "application/json");
      paramXmlHttp.send(JSON.stringify(paramDataObj));
    }
  </script>
</html>
